POST /v1/videos/{task_id}/remix
Method: POSTEndpoint: /v1/videos/{task_id}/remix
https://platform.openai.com/docs/api-reference/videos/create
Request Parameters
Path Parameters
text
task_id
string
RequiredHeader Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
prompt
string
Required
Example
{
"prompt"
:
"Extend the scene with the cat taking a bow to the cheering audience"
}Example Request
Shell
bash
curl --location --request POST '/v1/videos//remix' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "Extend the scene with the cat taking a bow to the cheering audience"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"id": "video_456",
"object": "video",
"model": "sora-2",
"status": "queued",
"progress": 0,
"created_at": 1712698600,
"size": "720x1280",
"seconds": "8",
"remixed_from_video_id": "video_123"
}